OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
ConstructVoxelMask< TreeType > Struct Template Reference

`#include <MeshToVolume.h>`

## Public Types
using | LeafNodeType = typename TreeType::LeafNodeType
using | BoolTreeType = typename TreeType::template ValueConverter< bool >::Type
using | BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## Public Member Functions
| ConstructVoxelMask (BoolTreeType &maskTree, const TreeType &tree, std::vector< LeafNodeType *> &nodes)
| ConstructVoxelMask (ConstructVoxelMask &rhs, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &range)
void | join (ConstructVoxelMask &rhs)

## Member Typedef Documentation

## ◆ BoolLeafNodeType

using BoolLeafNodeType = typename BoolTreeType::LeafNodeType

## ◆ BoolTreeType

using BoolTreeType = typename TreeType::template ValueConverter<bool>::Type

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## Constructor & Destructor Documentation

## ◆ ConstructVoxelMask() [1/2]

ConstructVoxelMask | ( | BoolTreeType & | maskTree,
|  | const TreeType & | tree,
|  | std::vector< LeafNodeType *> & | nodes
| ) |  |
| inline

## ◆ ConstructVoxelMask() [2/2]

ConstructVoxelMask | ( | ConstructVoxelMask< TreeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | ConstructVoxelMask< TreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

The documentation for this struct was generated from the following file:

- MeshToVolume.h